### Method

# RB MetaData get_missing_plugins

#### Declaration [src]

    gboolean
    rb_metadata_get_missing_plugins (
      RBMetaData* md,
      char*** missing_plugins,
      char*** plugin_descriptions
    )

#### Description [src]

This function returns the information used to request automatic installation of media framework plugins required to decode the target URI. Use `g_strfreev()` to free the returned information arrays.

#### Parameters

`missing_plugins`

  Type: An array of `char**`

  Returns machine-readable missing plugin information.

  The argument will be set by the function.
  The array must be `NULL`-terminated.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

`plugin_descriptions`

  Type: An array of `char**`

  Returns human-readable missing plugin descriptions.

  The argument will be set by the function.
  The array must be `NULL`-terminated.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

TRUE if missing plugin information was returned.